FC2ブログ

スポンサーサイト 

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

category: スポンサー広告

TB: --    CM: --    

Eclipse3.4 

久しぶりにJavaでもと思いEclipseの最新を探すと3.4になってました。
3.3はあるのでとりあえず使えるかどうか試す為にDL。

Eclipse Wiki

JDKも最新にしてみようという事で1.6Update10へ。
この辺は仕事じゃないので好きなバージョンが使えて嬉しい。
日本語化はPleiadesではなく、日本語化言語パックに。

Eclipse起動時にエラーが出て起動せず。

色々試してみたりWikiを見ているとJavaVMの位置をiniファイルで指定する必要があるかも?との事で

-vm C:\Program Files\Java\jdk1.6.0_10\jre\bin\javaw.exe

をiniファイルに追加。しかしエラー。
色々やっているうちに起動した。が、どうやらVMが起動していないらしく、既存ソースのコンパイルでOutOfMemoryとかでまくる。
最終的に、

-vm
C:\Program Files\Java\jdk1.6.0_10\jre\bin\javaw.exe


上記のようにiniファイルに追加する事で起動したけど、その他にも影響ありそうな修正をしたのでコレだけが原因かは不明。

最終的に下記設定で起動出来た。
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256M
-framework
plugins\org.eclipse.osgi_3.4.0.v20080605-1900.jar
-vm
C:\Program Files\Java\jdk1.6.0_10\jre\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Dsun.lang.ClassLoader.allowArraySyntax=true
-Xverify:none
-XX:MaxPermSize=128m
-Xss2m
-Xmx512m

今回はJ2EE版を落としたので最初から色んなPluginが入ってて…。
高機能になるにつれて、サクサク動いてた昔のEclipseが懐かしかったり。
会社のマシンがセレロンなので絶対使えないなぁと思ったり…。
スポンサーサイト

category: コンピュータ

TB: 0    CM: 0   

コメント

コメントの投稿

Secret

トラックバック

トラックバックURL
→http://forjunk.blog60.fc2.com/tb.php/159-cc05a1c8
この記事にトラックバックする(FC2ブログユーザー)

プロフィール

物欲リスト

最近の記事

月別アーカイブ

カテゴリー

ブログ内検索

RSSフィード

リンク

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。